Package org.springframework.security.web.webauthn.api

# Class AuthenticatorTransport

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorTransport

All Implemented Interfaces:
  `Serializable`

public final class AuthenticatorTransport extends Object implements Serializable
AuthenticatorTransport defines hints as to how clients might communicate with a particular authenticator in order to obtain an assertion for a specific credential.

Since:
  6.4
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AuthenticatorTransport`
`BLE`
ble Indicates the respective authenticator can be contacted over Bluetooth Smart (Bluetooth Low Energy / BLE).
`static final AuthenticatorTransport`
`HYBRID`
hybrid indicates the respective authenticator can be contacted using a combination of (often separate) data-transport and proximity mechanisms.
`static final AuthenticatorTransport`
`INTERNAL`
internal indicates the respective authenticator is contacted using a client device-specific transport, i.e., it is a platform authenticator.
`static final AuthenticatorTransport`
`NFC`
nfc indicates the respective authenticator can be contacted over Near Field Communication (NFC).
`static final AuthenticatorTransport`
`SMART_CARD`
smart-card indicates the respective authenticator can be contacted over ISO/IEC 7816 smart card with contacts.
`static final AuthenticatorTransport`
`USB`
usbc indicates the respective authenticator can be contacted over removable USB.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Get's the value.
`static AuthenticatorTransport`
`valueOf(String value)`
Gets an instance of `AuthenticatorTransport`.
`static AuthenticatorTransport[]`
`values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USB

public static final AuthenticatorTransport USB
usbc indicates the respective authenticator can be contacted over removable USB.

### NFC

public static final AuthenticatorTransport NFC
nfc indicates the respective authenticator can be contacted over Near Field Communication (NFC).

### BLE

public static final AuthenticatorTransport BLE
ble Indicates the respective authenticator can be contacted over Bluetooth Smart (Bluetooth Low Energy / BLE).

### SMART_CARD

public static final AuthenticatorTransport SMART_CARD
smart-card indicates the respective authenticator can be contacted over ISO/IEC 7816 smart card with contacts.

### HYBRID

public static final AuthenticatorTransport HYBRID
hybrid indicates the respective authenticator can be contacted using a combination of (often separate) data-transport and proximity mechanisms. This supports, for example, authentication on a desktop computer using a smartphone.

### INTERNAL

public static final AuthenticatorTransport INTERNAL
internal indicates the respective authenticator is contacted using a client device-specific transport, i.e., it is a platform authenticator. These authenticators are not removable from the client device.

## Method Details

### getValue

public String getValue()
Get's the value.

Returns:
  the value.

### valueOf

public static AuthenticatorTransport valueOf(String value)
Gets an instance of `AuthenticatorTransport`.

Parameters:
  `value` - the value of the `AuthenticatorTransport`
Returns:
  the `AuthenticatorTransport`

### values

public static AuthenticatorTransport[] values()